Skip to content

List inventory lots in the selected organization

GET
/v1/organizations/{organizationId}/lots

API key scope: inventory:read.

X-Request-Id
string

Optional client request id returned in structured errors.

productId
string
lotCode
string
batchCode
string
status
string
Allowed values: active archived
expiresFrom
string format: date-time
Example
2026-07-01T00:00:00.000Z
expiresTo
string format: date-time
Example
2026-12-31T23:59:59.999Z
limit
number
default: 25 >= 1 <= 100
cursor
string

Inventory lots page.

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
productId
required
string format: uuid
lotCode
required
string
batchCode
object
expiresAt
object
receivedAt
object
status
required
string
Allowed values: active archived
metadata
object
key
additional properties
any
product
object
id
required
string format: uuid
name
required
string
sku
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
nextCursor
object
Example
{
"items": [
{
"id": "12121212-1212-4212-8212-121212121212",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"productId": "22222222-2222-4222-8222-222222222222",
"lotCode": "LOT-2026-001",
"batchCode": "BATCH-A",
"expiresAt": "2027-07-01T00:00:00.000Z",
"receivedAt": "2026-07-01T12:00:00.000Z",
"status": "active",
"metadata": {
"supplierLot": "SUP-A1"
},
"product": {
"id": "22222222-2222-4222-8222-222222222222",
"name": "Black T-Shirt - Medium",
"sku": "TSHIRT-BLACK-M"
},
"createdAt": "2026-07-01T12:00:00.000Z",
"updatedAt": "2026-07-01T12:00:00.000Z"
}
],
"nextCursor": null
}

The organization has exhausted its monthly public API request quota.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for api_requests",
"requestId": "req_123",
"details": {
"entitlementKey": "api_requests",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "50000",
"used": "50000",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}